## GarconMenuMerger GarconMenuMerger |

## Functions

GarconMenuMerger * | garcon_menu_merger_new ()
gboolean | garcon_menu_merger_run ()

## Properties

GarconMenuTreeProvider * | tree-provider | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GarconMenuMerger

## Description

## Functions

### garcon_menu_merger_new ()

    GarconMenuMerger *
    garcon_menu_merger_new (GarconMenuTreeProvider *provider);

### garcon_menu_merger_run ()

    gboolean
    garcon_menu_merger_run (GarconMenuMerger *merger,
                            GList **merge_files,
                            GList **merge_dirs,
                            GCancellable *cancellable,
                            GError **error);

#### Parameters

merger | a GarconMenuMerger |
merge_files | list of files to merge. | [element-type utf8]
merge_dirs | list of menu directories to merge. | [element-type utf8]

## Property Details

### The `“tree-provider”` property

      “tree-provider”            GarconMenuTreeProvider *

tree-provider.

Owner: GarconMenuMerger

Flags: Read / Write / Construct Only